Problem with installing CUDA 9.0/9.2 with Geforce GTX 1070 Ti

<My post here is fairly long. I got a problem with installing CUDA 9.0/9.2 with Geforce GTX 1070 Ti>

Hi all,

I am using my GTX 1070 Ti with Nvidia Graphics Driver v397.93. I tried to install CUDA v9.0 to run with my Geforce GTX 1070 Ti. There are several issues related to this model (I mean 1070 Ti):

(1.) First thing is the compatibility. On the site of CUDA guide (https://developer.nvidia.com/cuda-gpus) 1070 Ti isn’t listed there. However, in this site (https://www.geforce.com/hardware/technology/cuda/supported-gpus) 1070 Ti appears there. My question is whether CUDA Toolkit supports GTX 1070 Ti or not (?)

(2.) I tried to run the installation kit v9.0 with GTX 1070 Ti Nvidia Graphics Driver v397.93. It announces that “This graphics driver could not find compatible graphics hardware. You may continue installation. but you may not be able to run CUDA applications with this driver. This may occur with graphics hardware that is newer than this toolkit. In that case, it is suggested that you keep your existing driver and install the remaining portions of the CUDA Toolkit”. I continued to click Continue to follow the setup, then I uncheck boxes of “earlier” driver (that is Nvidia Graphics Driver v385.54, so I just install CUDA kit). Finally, my installation failed.

(3.) I re-tried the installation CUDA v9.0 as (2.) but I checked all boxes including “earlier” driver (that is Nvidia Graphics Driver v385.54). Finally, my installation still failed.

(4.) I tried to do the same thing as (2.) and (3.) with CUDA 9.2. The problem appears the same: my installation still failed.

My post here is fairly long. First, I own a big thank for reading my post.

I need some help to complete CUDA installation with Geforce GTX 1070 Ti. I hope some Moderators or technical partners here help me with this issues.

Best regards,

Try this from oregonduckman. It worked for me with win10 + vs2015 community.
https://devtalk.nvidia.com/default/topic/1033111/cuda-setup-and-installation/cuda-9-1-cannot-install-due-to-failed-visual-studio-integration/
Follow from step A to D. You dont have to do step C.

Thank you for your response. Which VGA card are you using with win10 + vs2015 community?

I use Geforce GTX 1080 Ti with Cuda 9.1

I followed “oregonduckman” post at https://devtalk.nvidia.com/default/topic/1033111/cuda-setup-and-installation/cuda-9-1-cannot-install-due-to-failed-visual-studio-integration/ to install CUDA v9.0 with cuDNN 7.0.5. I successfully got it.
Thank you so much for your support.
Best regards,

My installation had no issues, but the warning that

“This graphics driver could not find compatible graphics hardware. You may continue installation. but you may not be able to run CUDA applications with this driver. This may occur with graphics hardware that is newer than this toolkit. In that case, it is suggested that you keep your existing driver and install the remaining portions of the CUDA Toolkit”,

Was not solved. When I tried to run tensorflow, I noticed that the GPU was not being used, though I was using tensorflow GPU version. Any work around for this?

You should follow strictly this instruction: https://devtalk.nvidia.com/default/topic/1033111/cuda-setup-and-installation/cuda-9-1-cannot-install-due-to-failed-visual-studio-integration/post/5259359/#5259359

I’m having that same problem with GTX 1660Ti. Did you find an answer? Thanks